%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%if %mdkversion < 200700
%define subrel 2
%endif


%define name    mozilla-thunderbird-l10n
%define oname   mozilla-thunderbird
%define version 1.5.0.12
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %{version}
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686/xpi/

Summary:   Localisations for Thunderbird (virtual package)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Networking/Mail
Url:       http://www.mozilla.org/
BuildRoot: %{_buildroot}
BuildRequires: libxml2-utils

%description
Localisations for Thunderbird

#--------------------------------------------------------------------

%package -n %{oname}-bg
%define  language_bg  bg
%define  locale_bg %(echo %language_bg|sed -e 's/-.*//g')
%define  langname_bg Bulgarian

Summary: %{langname_bg} interface for Thunderbird
Source0: %{xpidir}/%language_bg.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_bg}


%description  -n %{oname}-bg
%{langname_ca} localization for Thunderbird

%files -n %{oname}-bg
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ca
%define  language_ca  ca
%define  locale_ca %(echo %language_ca|sed -e 's/-.*//g')
%define  langname_ca Catalan

Summary: %{langname_ca} interface for Thunderbird
Source1: %{xpidir}/%language_ca.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_ca}


%description  -n %{oname}-ca
%{langname_ca} localization for Thunderbird

%files -n %{oname}-ca
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org/chrome


#-------------------------------------------------------------------

%package -n %{oname}-cs
%define  language_cs  cs
%define  locale_cs %(echo %language_cs|sed -e 's/-.*//g')
%define  langname_cs Czech

Summary: %{langname_cs} interface for Thunderbird
Source2: %{xpidir}/%language_cs.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_cs}

%description  -n %{oname}-cs
%{langname_cs} localization for Thunderbird

%files -n %{oname}-cs
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-da
%define  language_da  da
%define  locale_da %(echo %language_da|sed -e 's/-.*//g')
%define  langname_da Dansk

Summary: %{langname_da} interface for Thunderbird
Source3: %{xpidir}/%language_da.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_da}

%description  -n %{oname}-da
%{langname_da} localization for Thunderbird

%files -n %{oname}-da
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-de
%define  language_de  de
%define  locale_de %(echo %language_de|sed -e 's/-.*//g')
%define  langname_de German

Summary: %{langname_de} interface for Thunderbird
Source4: %{xpidir}/%language_de.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_de}


%description  -n %{oname}-de
%{langname_de} localization for Thunderbird

%files -n %{oname}-de
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-el
%define  language_el  el
%define  locale_el %(echo %language_el|sed -e 's/-.*//g')
%define  langname_el Greek

Summary: %{langname_el} interface for Thunderbird
Source5: %{xpidir}/%language_el.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_el}

%description  -n %{oname}-el
%{langname_el} localization for Thunderbird

%files -n %{oname}-el
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-es
%define  language_es  es-ES
%define  locale_es %(echo %language_es|sed -e 's/-.*//g')
%define  langname_es Spanish

Summary: %{langname_es} interface for Thunderbird
Source6: %{xpidir}/%language_es.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_es}

%description  -n %{oname}-es
%{langname_es} localization for Thunderbird

%files -n %{oname}-es
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-fi
%define  language_fi  fi
%define  locale_fi %(echo %language_fi|sed -e 's/-.*//g')
%define  langname_fi Finnish

Summary: %{langname_fi} interface for Thunderbird
Source7: %{xpidir}/%language_fi.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_fi}

%description  -n %{oname}-fi
%{langname_fi} localization for Thunderbird

%files -n %{oname}-fi
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-fr
%define  language_fr  fr
%define  locale_fr %(echo %language_fr|sed -e 's/-.*//g')
%define  langname_fr French

Summary: %{langname_fr} interface for Thunderbird
Source8: %{xpidir}/%language_fr.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_fr}


%description  -n %{oname}-fr
%{langname_fr} localization for Thunderbird

%files -n %{oname}-fr
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ga
%define  language_ga  ga-IE
%define  locale_ga %(echo %language_ga|sed -e 's/-.*//g')
%define  langname_ga Irish

Summary: %{langname_ga} interface for Thunderbird
Source9: %{xpidir}/%language_ga.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_ga}

%description  -n %{oname}-ga
%{langname_ga} localization for Thunderbird

%files -n %{oname}-ga
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-he
%define  language_he  he
%define  locale_he %(echo %language_he|sed -e 's/-.*//g')
%define  langname_he Hebrew

Summary: %{langname_he} interface for Thunderbird
Source10: %{xpidir}/%language_he.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_he}

%description  -n %{oname}-he
%{langname_he} localization for Thunderbird

%files -n %{oname}-he
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-hu
%define  language_hu  hu
%define  locale_hu %(echo %language_hu|sed -e 's/-.*//g')
%define  langname_hu Hungarian

Summary: %{langname_hu} interface for Thunderbird
Source11: %{xpidir}/%language_hu.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_hu}

%description  -n %{oname}-hu
%{langname_hu} localization for Thunderbird

%files -n %{oname}-hu
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-it
%define  language_it  it
%define  locale_it %(echo %language_it|sed -e 's/-.*//g')
%define  langname_it Italian

Summary: %{langname_it} interface for Thunderbird
Source12: %{xpidir}/%language_it.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_it}

%description  -n %{oname}-it
%{langname_it} localization for Thunderbird

%files -n %{oname}-it
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ja
%define  language_ja  ja
%define  locale_ja %(echo %language_ja|sed -e 's/-.*//g')
%define  langname_ja Japanese

Summary: %{langname_ja} interface for Thunderbird
Source13: %{xpidir}/%language_ja.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_ja}

%description  -n %{oname}-ja
%{langname_ja} localization for Thunderbird

%files -n %{oname}-ja
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ko
%define  language_ko  ko
%define  locale_ko %(echo %language_ko|sed -e 's/-.*//g')
%define  langname_ko Korean

Summary: %{langname_ko} interface for Thunderbird
Source14: %{xpidir}/%language_ko.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_ko}

%description  -n %{oname}-ko
%{langname_ko} localization for Thunderbird

%files -n %{oname}-ko
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/chrome

#------------------------------------------------------------------

%package -n %{oname}-nb
%define  language_nb  nb-NO
%define  locale_nb %(echo %language_nb|sed -e 's/-.*//g')
%define  langname_nb Norwegian Bokmaal

Summary: %{langname_nb} interface for Thunderbird
Source15: %{xpidir}/%language_nb.xpi
# fix utf8 validation
Patch0: nb-NO-fixutf8.patch
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_nb}

%description  -n %{oname}-nb
%{langname_nb} localization for Thunderbird

%files -n %{oname}-nb
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-nl
%define  language_nl  nl
%define  locale_nl %(echo %language_nl|sed -e 's/-.*//g')
%define  langname_nl Dutch

Summary: %{langname_nl} interface for Thunderbird
Source16:%{xpidir}/%language_nl.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_nl}

%description  -n %{oname}-nl
%{langname_nl} localization for Thunderbird

%files -n %{oname}-nl
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-pl
%define  language_pl  pl
%define  locale_pl %(echo %language_pl|sed -e 's/-.*//g')
%define  langname_pl Polish

Summary: %{langname_pl} interface for Thunderbird
Source17:%{xpidir}/%language_pl.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_pl}

%description  -n %{oname}-pl
%{langname_pl} localization for Thunderbird

%files -n %{oname}-pl
%defattr(644,root,root,755)
%%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-pt_BR
%define  language_pt_BR  pt-BR
%define  locale_pt_BR %(echo %language_pt_BR|sed -e 's/-.*//g')
%define  langname_pt_BR Brazilian portuguese

Summary: %{langname_pt_BR} interface for Thunderbird
Source18: %{xpidir}/%language_pt_BR.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_pt_BR}

%description  -n %{oname}-pt_BR
%{langname_pt_BR} localization for Thunderbird

%files -n %{oname}-pt_BR
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ru
%define  language_ru ru 
%define  locale_ru %(echo %language_ru|sed -e 's/-.*//g')
%define  langname_ru Russian

Summary: %{langname_ru} interface for Thunderbird
Source21: %{xpidir}/%language_ru.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_ru}

%description  -n %{oname}-ru
%{langname_ru} localization for Thunderbird

%files -n %{oname}-ru
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sk
%define  language_sk sk
%define  locale_sk %(echo %language_sk|sed -e 's/-.*//g')
%define  langname_sk Slovak

Summary: %{langname_sk} interface for Thunderbird
Source22: %{xpidir}/%language_sk.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_sk}


%description  -n %{oname}-sk
%{langname_sk} localization for Thunderbird

%files -n %{oname}-sk
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sl
%define  language_sl  sl
%define  locale_sl %(echo %language_sl|sed -e 's/-.*//g')
%define  langname_sl Slovenian

Summary: %{langname_sl} interface for Thunderbird
Source23:%{xpidir}/%language_sl.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_sl}

%description  -n %{oname}-sl
%{langname_sl} localization for Thunderbird

%files -n %{oname}-sl
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sv
%define  language_sv sv-SE
%define  locale_sv %(echo %language_sv|sed -e 's/-.*//g')
%define  langname_sv Swedish

Summary: %{langname_sv} interface for Thunderbird
Source24:%{xpidir}/%language_sv.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_sv}

%description  -n %{oname}-sv
%{langname_sv} localization for Thunderbird

%files -n %{oname}-sv
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-tr
%define  language_tr tr
%define  locale_tr %(echo %language_tr|sed -e 's/-.*//g')
%define  langname_tr Turkish

Summary: %{langname_tr} interface for Thunderbird
Source25: %{xpidir}/%language_tr.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_tr}

%description  -n %{oname}-tr
%{langname_tr} localization for Thunderbird

%files -n %{oname}-tr
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-zh_CN
%define  language_zh_CN  zh-CN
%define  locale_zh_CN %(echo %language_zh_CN|sed -e 's/-.*//g')
%define  langname_zh_CN Simplified Chinese

Summary: %{langname_zh_CN} interface for Thunderbird
Source27: %{xpidir}/%{language_zh_CN}.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_zh_CN}

%description  -n %{oname}-zh_CN
%{langname_zh-CN} localization for Thunderbird

%files -n %{oname}-zh_CN
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-es_AR
%define  language_es_AR  es-AR
%define  locale_es_AR %(echo %language_es|sed -e 's/-.*//g')
%define  langname_es_AR Spanish (Argentina)

Summary: %{langname_es_AR} interface for Thunderbird
Source28: %{xpidir}/%language_es_AR.xpi
License: GPL
Group:   Networking/Mail
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_es_AR}

%description  -n %{oname}-es_AR
%{langname_es_AR} localization for Thunderbird

%files -n %{oname}-es_AR
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-eu
%define  language_eu  eu-ES
%define  locale_eu %(echo %language_eu|sed -e 's/-.*//g')
%define  langname_eu Basque

Summary: %{langname_eu} interface for Thunderbird
Source29: %locale_eu.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_eu}


%description  -n %{oname}-eu
%{langname_eu} localization for Thunderbird

%files -n %{oname}-eu
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-lt
%define  language_lt  lt
%define  locale_lt %(echo %language_lt|sed -e 's/-.*//g')
%define  langname_lt Lithuanian

Summary: %{langname_lt} interface for Thunderbird
Source30: %locale_lt.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_lt}


%description  -n %{oname}-lt
%{langname_lt} localization for Thunderbird

%files -n %{oname}-lt
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org/chrome

%package -n %{oname}-mk
%define  language_mk  mk
%define  locale_mk %(echo %language_mk|sed -e 's/-.*//g')
%define  langname_mk Macedonian

Summary: %{langname_mk} interface for Thunderbird
Source31: %locale_mk.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_mk}


%description  -n %{oname}-mk
%{langname_mk} localization for Thunderbird

%files -n %{oname}-mk
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-pa_IN
%define  language_pa_IN pa-IN
%define  locale_pa_IN %(echo %language_pa_IN|sed -e 's/-.*//g')
%define  langname_pa_IN Punjabi (gurmukhi)

Summary: %{langname_pa_IN} interface for Thunderbird
Source32: %language_pa_IN.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_pa_IN}


%description  -n %{oname}-pa_IN
%{langname_pa_IN} localization for Thunderbird

%files -n %{oname}-pa_IN
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org/chrome


#-------------------------------------------------------------------
%package -n %{oname}-gu_IN
%define  language_gu_IN gu-IN
%define  locale_gu_IN %(echo %language_gu_IN|sed -e 's/-.*//g')
%define  langname_gu_IN Gujarati

Summary: %{langname_gu_IN} interface for Thunderbird
Source33: %language_gu_IN.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale_gu_IN}


%description  -n %{oname}-gu_IN
%{langname_gu_IN} localization for Thunderbird

%files -n %{oname}-gu_IN
%defattr(644,root,root,755)
%dir %_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org/install.rdf
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org/chrome.manifest
%_libdir/mozilla-thunderbird-%{thunderbird_version}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org/chrome


%prep
%setup -q -c -T

%build

%install
rm -rf %buildroot

#Bg translation
unzip %SOURCE0
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_bg}@thunderbird.mozilla.org/
rm -fr *

# Ca translation
unzip  %SOURCE1
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ca}@thunderbird.mozilla.org/
rm -fr *

# Cs translation
unzip  %SOURCE2
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_cs}@thunderbird.mozilla.org/
rm -fr *

# Da translation
unzip  %SOURCE3
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_da}@thunderbird.mozilla.org/
rm -fr *

# De translation
unzip  %SOURCE4
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_de}@thunderbird.mozilla.org/
rm -fr *

# El translation
unzip  %SOURCE5
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_el}@thunderbird.mozilla.org/
rm -fr *

# Es translation
unzip  %SOURCE6
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_es}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_es}@thunderbird.mozilla.org/
rm -fr *

# Fi translation
unzip  %SOURCE7
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fi}@thunderbird.mozilla.org/
rm -fr *

# Fr translation
unzip %SOURCE8 
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fr}@thunderbird.mozilla.org/
rm -fr *

# Ga translation
unzip  %SOURCE9
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_ga}@thunderbird.mozilla.org/
rm -fr *

# He translation
unzip %SOURCE10 
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_he}@thunderbird.mozilla.org/
rm -fr *

# Hu translation
unzip  %SOURCE11
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_hu}@thunderbird.mozilla.org/
rm -fr *

# It translation
unzip  %SOURCE12
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_it}@thunderbird.mozilla.org/
rm -fr *

# Ja translation
unzip  %SOURCE13
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ja}@thunderbird.mozilla.org/
rm -fr *

# Ko translation
unzip  %SOURCE14
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/
cd  %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@thunderbird.mozilla.org/
cd -
rm -fr *

# Nb translation
unzip  %SOURCE15
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/
cd  %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@thunderbird.mozilla.org/
patch -p0 < %{PATCH0}
cd -
rm -fr *

# Nl translation
unzip  %SOURCE16
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_nl}@thunderbird.mozilla.org/
rm -fr *

# Pl translation
unzip  %SOURCE17
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_pl}@thunderbird.mozilla.org/
rm -fr *

# Pt-Br translation
unzip  %SOURCE18
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt_BR}@thunderbird.mozilla.org/
rm -fr *

# Ru translation
unzip  %SOURCE21
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ru}@thunderbird.mozilla.org/
rm -fr *

# Sk translation
unzip  %SOURCE22
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sk}@thunderbird.mozilla.org/
rm -fr *

# Sl translation
unzip  %SOURCE23
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sl}@thunderbird.mozilla.org/
rm -fr *

# Sv translation
unzip  %SOURCE24
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_sv}@thunderbird.mozilla.org/
rm -fr *

# Tr translation
unzip  %SOURCE25
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_tr}@thunderbird.mozilla.org/
rm -fr *

# zh_CN translation
unzip  %SOURCE27
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_CN}@thunderbird.mozilla.org/
rm -fr *

# es-AR translation
unzip  %SOURCE28
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_es_AR}@thunderbird.mozilla.org/
rm -fr *

# eu translation
unzip  %SOURCE29
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_eu}@thunderbird.mozilla.org/
rm -fr *

# lt translation
unzip  %SOURCE30
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_lt}@thunderbird.mozilla.org/
rm -fr *
# mk translation
unzip  %SOURCE31
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_mk}@thunderbird.mozilla.org/
rm -fr *

# pa-IN translation
unzip  %SOURCE32
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_pa_IN}@thunderbird.mozilla.org/
rm -fr *

# gu-IN translation
unzip  %SOURCE33
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_gu_IN}@thunderbird.mozilla.org/
rm -fr *

# disable version check
sed -i -e 's/maxVersion>.*</maxVersion>1.5.0.*</g' %buildroot%{mozillalibdir}/extensions/langpack-*@thunderbird.mozilla.org/install.rdf

# all install.rdf files must validate
xmllint --noout %buildroot%{mozillalibdir}/extensions/langpack-*@thunderbird.mozilla.org/install.rdf


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 07 2007 Vincent Danen <vdanen@mandriva.com> 1.5.0.12-1.1mdv2007.0
- 1.5.0.12

* Mon Mar 05 2007 Vincent Danen <vdanen@mandriva.com> 1.5.0.10-1.1mdv2007.0
- 1.5.0.10

* Thu Nov 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.5.0.8-1.1mdv2007.0
- rebuild for 2007.0

* Thu Nov 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.8-1mdv2007.0
+ Revision: 79550
-Update langpack to 1.5.0.8
-Remove patch1 (no longer needed)
-Add Gujarati langpack

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.7-1mdv2007.0
+ Revision: 61637
- Release 1.5.0.7
  Add new langpacks

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.5-2mdv2007.0
+ Revision: 60328
-Major cleanup
-Check if install.rdf files are valid

  + Nicolas Lcureuil <neoclust@mandriva.org>
    - Add macro for corpo3
    - import mozilla-thunderbird-l10n-1.5.0.5-2mdv2007.0

